eID middleware |

# be.portugal.eid.PTEID_EId Class Reference

Class for the id document on a EID Card. More...

Inheritance diagram for be.portugal.eid.PTEID_EId:

List of all members.

## Public Member Functions
synchronized void | delete ()
String | getDocumentVersion () throws java.lang.Exception
| Get the document version field.
String | getDocumentType () throws java.lang.Exception
| Get the document type field.
String | getFirstName () throws java.lang.Exception
| Get all first names.
String | getFirstName1 ()
| Get the first name part 1 (contains 2 first names).
String | getFirstName2 ()
| Get the first name part 2 (first letter of the 3rd given name).
String | getSurname () throws java.lang.Exception
| Get the surname field.
String | getGender () throws java.lang.Exception
| Get the gender field.
String | getDateOfBirth () throws java.lang.Exception
| Get the gate of birth field.
String | getLocationOfBirth () throws java.lang.Exception
| Get the location of birth field.
String | getNobility () throws java.lang.Exception
| Get the nobility field.
String | getNationality () throws java.lang.Exception
| Get the nationality field.
String | getNationalNumber () throws java.lang.Exception
| Get the national number field.
String | getDuplicata () throws java.lang.Exception
| Get the duplicata field.
String | getSpecialOrganization () throws java.lang.Exception
| Get the special organization field.
String | getMemberOfFamily () throws java.lang.Exception
| Get the member of family field.
String | getLogicalNumber () throws java.lang.Exception
| Get the logical number field.
String | getChipNumber () throws java.lang.Exception
| Get the chip number field.
String | getValidityBeginDate () throws java.lang.Exception
| Get the validity begin date field.
String | getValidityEndDate () throws java.lang.Exception
| Get the validity end date field.
String | getIssuingMunicipality () throws java.lang.Exception
| Get the issuing municipality field.
String | getAddressVersion () throws java.lang.Exception
| Get the address version field.
String | getStreet () throws java.lang.Exception
| Get the street field.
String | getZipCode () throws java.lang.Exception
| Get the zip code field.
String | getMunicipality () throws java.lang.Exception
| Get the municipality field.
String | getCountry () throws java.lang.Exception
| Get the country field.
String | getSpecialStatus () throws java.lang.Exception
| Get the special status field.
## Protected Member Functions
| PTEID_EId (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_EId obj)

## Detailed Description

Class for the id document on a EID Card.

See also:
  PTEID_EIDCard.getID() PTEID_EIDCard.getDocument()

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_EId.PTEID_EId | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_EId.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_XMLDoc.

References be.portugal.eid.PTEID_Object.swigCMemOwn.

void be.portugal.eid.PTEID_EId.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_XMLDoc.

String be.portugal.eid.PTEID_EId.getAddressVersion | ( |  | ) | throws java.lang.Exception

Get the address version field.

String be.portugal.eid.PTEID_EId.getChipNumber | ( |  | ) | throws java.lang.Exception

Get the chip number field.

String be.portugal.eid.PTEID_EId.getCountry | ( |  | ) | throws java.lang.Exception

Get the country field.

static long be.portugal.eid.PTEID_EId.getCPtr | ( | PTEID_EId | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_EId.swigCPtr.

String be.portugal.eid.PTEID_EId.getDateOfBirth | ( |  | ) | throws java.lang.Exception

Get the gate of birth field.

String be.portugal.eid.PTEID_EId.getDocumentType | ( |  | ) | throws java.lang.Exception

Get the document type field.

String be.portugal.eid.PTEID_EId.getDocumentVersion | ( |  | ) | throws java.lang.Exception

Get the document version field.

String be.portugal.eid.PTEID_EId.getDuplicata | ( |  | ) | throws java.lang.Exception

Get the duplicata field.

String be.portugal.eid.PTEID_EId.getFirstName | ( |  | ) | throws java.lang.Exception

Get all first names.

String be.portugal.eid.PTEID_EId.getFirstName1 | ( |  | ) |

Get the first name part 1 (contains 2 first names).

String be.portugal.eid.PTEID_EId.getFirstName2 | ( |  | ) |

Get the first name part 2 (first letter of the 3rd given name).

String be.portugal.eid.PTEID_EId.getGender | ( |  | ) | throws java.lang.Exception

Get the gender field.

String be.portugal.eid.PTEID_EId.getIssuingMunicipality | ( |  | ) | throws java.lang.Exception

Get the issuing municipality field.

String be.portugal.eid.PTEID_EId.getLocationOfBirth | ( |  | ) | throws java.lang.Exception

Get the location of birth field.

String be.portugal.eid.PTEID_EId.getLogicalNumber | ( |  | ) | throws java.lang.Exception

Get the logical number field.

String be.portugal.eid.PTEID_EId.getMemberOfFamily | ( |  | ) | throws java.lang.Exception

Get the member of family field.

String be.portugal.eid.PTEID_EId.getMunicipality | ( |  | ) | throws java.lang.Exception

Get the municipality field.

String be.portugal.eid.PTEID_EId.getNationality | ( |  | ) | throws java.lang.Exception

Get the nationality field.

String be.portugal.eid.PTEID_EId.getNationalNumber | ( |  | ) | throws java.lang.Exception

Get the national number field.

String be.portugal.eid.PTEID_EId.getNobility | ( |  | ) | throws java.lang.Exception

Get the nobility field.

String be.portugal.eid.PTEID_EId.getSpecialOrganization | ( |  | ) | throws java.lang.Exception

Get the special organization field.

String be.portugal.eid.PTEID_EId.getSpecialStatus | ( |  | ) | throws java.lang.Exception

Get the special status field.

String be.portugal.eid.PTEID_EId.getStreet | ( |  | ) | throws java.lang.Exception

Get the street field.

String be.portugal.eid.PTEID_EId.getSurname | ( |  | ) | throws java.lang.Exception

Get the surname field.

String be.portugal.eid.PTEID_EId.getValidityBeginDate | ( |  | ) | throws java.lang.Exception

Get the validity begin date field.

String be.portugal.eid.PTEID_EId.getValidityEndDate | ( |  | ) | throws java.lang.Exception

Get the validity end date field.

String be.portugal.eid.PTEID_EId.getZipCode | ( |  | ) | throws java.lang.Exception

Get the zip code field.